]> code.ossystems Code Review - openembedded-core.git/commitdiff
add a new scripts create-pull-request
authorNitin A Kamble <nitin.a.kamble@intel.com>
Mon, 17 May 2010 20:47:40 +0000 (13:47 -0700)
committerNitin A Kamble <nitin.a.kamble@intel.com>
Mon, 17 May 2010 20:47:40 +0000 (13:47 -0700)
This is the 1st version of create-pull-request script.
Using specified local commit-id or branch-name it
generates a short description of the changes;
and using poky-contrib branch-name it generates the
URL where these changes are already pushed
and are available for review and git-pull.

I prepared this script as per the input from Richard Purdie.

Signed-Off-By: Nitin A Kamble <nitin.a.kamble@intel.com>
scripts/create-pull-request [new file with mode: 0755]

diff --git a/scripts/create-pull-request b/scripts/create-pull-request
new file mode 100755 (executable)
index 0000000..2223151
--- /dev/null
@@ -0,0 +1,41 @@
+#!/bin/bash
+#
+# create a pull request for your branch
+#
+
+usage() {
+    echo "Error: Invalid arguments."
+    echo "Usage: "
+    echo "$ $0 <commit_id> <contrib_branch>"
+    echo "  <commit_id> is a commit identifier, like branch-name, HEAD, hex-commit-id"
+    echo "  <contrib_branch> is the branch-name in the git.pokylinux.org/poky-contrib tree"
+    exit 1
+}
+
+case $# in
+    2)
+    COMMIT=$1
+    CONTRIB_BRANCH=$2
+    shift
+    ;;
+    *)
+    usage
+    ;;
+esac
+
+if [ "$COMMIT" = "" ]; then
+    usage
+fi
+
+git --no-pager show $COMMIT > /dev/null
+if [ "$?" != "0" ]; then
+    echo "Invalid Commit."
+    usage
+fi
+
+git --no-pager diff master..${COMMIT} | diffstat -p1
+echo ""
+git --no-pager log --no-merges master..${COMMIT} | git --no-pager shortlog
+
+
+echo "Pull URL: http://git.pokylinux.org/cgit.cgi/poky-contrib/log/?h=${CONTRIB_BRANCH}"